<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Plugin strings are defined here.
 *
 * @package     contenttype_repurpose
 * @category    string
 * @copyright   2020 onward Daniel Thies <dethies@gmail.com>
 * @license     http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['pluginname'] = 'Repurpose resources';
$string['addfile'] = 'Add file';
$string['addfile_help'] = 'Add audio, image of video files that will be included as H5P content types';
$string['backgroundimage'] = 'Background image';
$string['description'] = 'Repurpose resources';
$string['duration'] = 'Duration';
$string['editmedia'] = 'Edit media';
$string['example'] = 'Example';
$string['gotoquestionbank'] = 'Go to question bank';
$string['globalbackground'] = 'Global background';
$string['imagefile'] = 'Image file';
$string['importdialogcards'] = 'Import Dialog Cards';
$string['importcolumn'] = 'Import to Column';
$string['importcoursepresentation'] = 'Import to Course Presentation';
$string['importcrossword'] = 'Import Crossword';
$string['importflashcards'] = 'Import Flash Cards';
$string['importsinglechoiceset'] = 'Import Single Choice Set';
$string['importquestionset'] = 'Import a Question Set';
$string['importquestion'] = 'Import a single question';
$string['importvideo'] = 'Import to an Interactive Video';
$string['introimage'] = 'Introduction image';
$string['interactions'] = 'Interactions';
$string['interactionno'] = 'Interaction {$a}';
$string['license'] = 'License';
$string['license_help'] = 'Choose the license to specify for the content type';
$string['mediafiles'] = 'Media files';
$string['mediatitle'] = 'Media title';
$string['missingsource'] = 'A video source must be supplied as a mp4, webm or ogv file or a YouTube link';
$string['name'] = 'Name';
$string['name_help'] = 'Enter name for the content or leave blank for default from question or category';
$string['newfile'] = 'New file';
$string['noquestionsselected'] = 'No questions are available in the currest selection';
$string['posterimage'] = 'Poster image';
$string['previewquestion'] = 'Preview question';
$string['previewquestion_help'] = 'A link is provided to preview the selected question.
    if you have the permission to do so. Clicking the link should open a new window';
$string['privacy:metadata'] = 'The Repurpose contenttype plugin does not store any personal information';
$string['repurpose:access'] = 'Access repurposed resources in the content bank';
$string['repurpose:upload'] = 'Upload resources to use in content';
$string['repurpose:useeditor'] = 'Create content using the repurpose resources tools';
$string['saveash5p'] = 'Save as H5P';
$string['saveash5p_help'] = 'Save content immediately as H5P. If not set, the data will be saved and can be edited again. The public files will still be available as H5P to download or use in activities';
$string['slideno'] = 'Slide {$a}';
$string['slidebackground'] = 'Slide background';
$string['slides'] = 'Slides';
$string['starttime'] = 'Start time';
$string['supportedvideolinks'] = 'External video links must be to mp4, webm or ogv files or YouTube links';
$string['title'] = 'Title';
$string['tutorial'] = 'Tutorial';
$string['question'] = 'question';
$string['question_help'] = 'If you have created or imported questions
in the question bank, you should be able to selct them individually and
convert them to H5P';
$string['videofile'] = 'Video file';
$string['title_help'] = 'Shows as hover text';
